3 Replies Latest reply on Sep 21, 2007 7:49 AM by suttonsoft

    Flex Builder 2 - failed install on Windows Vista

    WayneMooresville
      I have tried several times to install the trial Flex Builder 2 on Windows Vista. Each time I get an error message referring me to the error log. The error log is listed below. Note, each time I do the install, I uninstall the previous install and then delete any files or folders remaining.

      ===================================
      Error Log
      ===================================
      !SESSION 2007-02-10 22:04:25.583 -----------------------------------------------
      eclipse.buildId=unknown
      java.version=1.4.2_12
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
      Command-line arguments: -os win32 -ws win32 -arch x86

      !ENTRY org.eclipse.update.configurator 2007-02-10 22:04:26.499
      !MESSAGE Cannot backup current configuration

      !ENTRY org.eclipse.update.configurator 2007-02-10 22:04:26.575
      !MESSAGE Could not rename configuration temp file

      !ENTRY org.eclipse.osgi 2007-02-10 22:04:27.389
      !MESSAGE Application error
      !STACK 1
      java.lang.UnsatisfiedLinkError: no swt-win32-3139 in java.library.path
      at java.lang.ClassLoader.loadLibrary(Unknown Source)
      at java.lang.Runtime.loadLibrary0(Unknown Source)
      at java.lang.System.loadLibrary(Unknown Source)
      at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
      at org.eclipse.swt.internal.win32.OS.<clinit>(OS.java:18)
      at org.eclipse.swt.widgets.Display.<clinit>(Display.java:125)
      at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:381)
      at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:155)
      at com.adobe.flexbuilder.standalone.FlexBuilderApplication.run(FlexBuilderApplication.java:4 5)
      at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
      at java.lang.reflect.Method.invoke(Unknown Source)
      at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
      at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
      at org.eclipse.core.launcher.Main.run(Main.java:973)
      at org.eclipse.core.launcher.Main.main(Main.java:948)

      !ENTRY org.eclipse.osgi 2007-02-10 22:04:27.396
      !MESSAGE Bundle update@plugins/com.adobe.flexbuilder.debug.e32_2.0.155577/ [70] was not resolved.
      !SUBENTRY 1 org.eclipse.osgi 2007-02-10 22:04:27.396
      !MESSAGE Missing required bundle org.eclipse.debug.ui_[3.2.0,99.0.0).
      !SESSION 2007-02-10 22:15:47.733 -----------------------------------------------
      eclipse.buildId=unknown
      java.version=1.4.2_12
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
      Command-line arguments: -os win32 -ws win32 -arch x86

      !ENTRY org.eclipse.update.configurator 2007-02-10 22:15:48.505
      !MESSAGE Cannot backup current configuration
      ======================================================
      Any help would be appreciated.

      Thanks,

      Wayne
        • 1. Re: Flex Builder 2 - failed install on Windows Vista
          suttonsoft Level 1
          I am getting the exact same error message... and my business is on the line with this one as I have sold a Flex project and was recently forced to upgrade to Vista by the powers that be.

          So.... what is the solution here? I am desperate!

          -sutton
          • 2. Re: Flex Builder 2 - failed install on Windows Vista
            michel_LeBlond
            Download eclipse 3.2.2 from the eclipse website and install to a local folder.
            Remove and Reinstall Flexbuilder2 . When you get to the screen that lets you
            add it to an existing eclipse installation select that option and pick the folder with the
            eclipse.exe file as the location.

            Make sure you download eclipse 3..2.2 3.3 will not work
            • 3. Re: Flex Builder 2 - failed install on Windows Vista
              suttonsoft Level 1
              Thank you for your response. Being a newbie to Microsoft Vista (which I recommend the world to reject) I don't know exactly how to describe how I got the install of Flex Builder 2 to work. But, a friend of mine walked me through turning off the Windows Defender security settings as well as all security settings related to my user's setting. I believe I disabled two Vista "features", and then the install worked. The only thing was that the checkboxes during the install program did not appear, but clicking the respective questions themselves did the trick (i.e. do you agree to software license?' and 'install Flash player on IE / Firefox?')

              Sorry I can't be more specific... but, for anyone that has this problem, in the words of my friend, "Turn everything off in Vista you can, then try it!".

              Good luck,
              -sutton